Subject: bug#1334: 23.0.60; bug of bytecomp arithmetic operations

From: Chong Yidong <[email-masked]>
Date: Fri, 14 Nov 2008 18:10:45 -0500

Hi Shigeru,

I've been looking through your changes to byte-opt.el.  They look good,
but some of the changes are a little too agressive for my tastes, so
close to pretest.

Could you separate out the byte-optimize-*-functions part of the patch?
A mistake in any of these lists could lead to some hard-to-track errors.
If in doubt, let's simply not perform the optimization for now.  We can
apply these changes after the release.